logo
InstancesGet instance details

Get instance details

Get detailed information about a specific rental.

curl -X GET "https://api.gpuniq.com/v1/instances/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "data": {
    "task_id": 123,
    "agent_id": 123,
    "status": "example_string",
    "ssh_host": "example_string",
    "ssh_port": 42,
    "ssh_password": "example_string",
    "started_at": "2024-12-25T10:00:00Z",
    "hourly_cost": 3.14
  }
}
GET
/v1/instances/{task_id}
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

Responses

dataobject